beta

Archi 4.0.3 Beta 2

18 August 2017

This is a beta version of Archi 4. Ensure you back up your data first before testing this version, and please use test data only. If you already have a version of Archi installed, install this beta version into a separate location.

The main features of Archi 4.03 are the updated relationships table for ArchiMate 3.0.1 and faster load times for large models. We'd like testers to ensure that using this faster method of loading models has no side-effects. So please use LARGE test models!

Please report any bugs or issues on GitHub.

What's new in this beta version

  • ArchiMate 3.0.1 Relationships table
  • Faster load times on large models
  • Improved Plugin Installer
  • Fixes

Known Issues

  • The Windows Installer is not available for this beta, only the Zip file, so as not to conflict with an existing installed version of Archi (will be available for final release)
Windows Icon
Windows Zip

For all Windows operating systems. This is a zip file that does not use an installer and does not create "*.archimate" file associations. It includes a Java runtime. Unzip, and then run the "Archi" program file.

MD5 Checksum

Mac Icon
Mac OS X

Use this version on 64-bit Macs. Requires OS X 10.8 (Mountain Lion) or greater. To install, unzip and run the "Archi" app.

Note - when launching Archi on OS X for the first time you may see a dialog box that states that "Archi can't be opened because it is from an unidentified developer." Control-click or right click the icon of the app. Select "Open" from the top of contextual menu that appears, then click "Open" in the dialog box.

MD5 Checksum

Linux Icon
Linux 64-bit

Requires Java 8 (64-bit) installed. To install, un-archive and run the "Archi" program file.

MD5 Checksum


Linux 32-bit

Requires Java 8 (32-bit) installed. To install, un-archive and run the "Archi" program file.

MD5 Checksum

Note - in order for the native browser component to work in the Hints window, you may have to install either xulrunner-1.9.2 or libwebkitgtk-1.0.0 ("sudo apt-get install xulrunner-1.9.2" or "sudo apt-get install libwebkitgtk-1.0.0")